package
{
	import flash.net.NetStream;
	import flash.sampler.NewObjectSample;
	

	import de.spring.sensors.Meta;
	import de.spring.sensors.StreamAdapter;
	
	import org.osmf.media.MediaPlayer;
	import de.spring.sensors.FlashMeta;
	
	public class MediaPlayerStreamAdapter implements StreamAdapter
	{
		private var meta:Meta;
		private var netstream:MediaPlayer;
		private var client:Object;
		
		private var duration:int;
		private var width:int;
		private var height:int;
		public function MediaPlayerStreamAdapter(player:MediaPlayer)
		{
			
			this.meta = new FlashMeta();
			netstream = player;
			this.duration = duration;
			this.width = width;
			this.height = height;
			
			// reassign client, hook in and use the old client as a delegate

		}
		
		public function getMeta():Meta
		{
			return meta;
		}
		
		public function getPosition():int
		{
			return netstream.currentTime;
		}
		
		public function getDuration():int
		{
			return netstream.duration;
		}
		
		public function getWidth():int
		{
			return netstream.displayObject.width;
		}
		
		public function getHeight():int
		{
			return netstream.displayObject.height;
		}
	}
}